
Enduro/X Core - Bug #798

Enduro/X might double start processes if they failed to reload for some reason (i.e. not killed in time)

and <end_max>*<sanity time> is higher than <srvstopwait>

02/20/2023 11:12 PM - Madars

Status: Closed Start date: 02/20/2023

Priority: Low (Code 5) Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

This happens only if end_max *sanity is higher than srvstopwait.

Needs to decide on how to fix this:

Option 1: Do not proceed with the process start back as it is already scheduled for the restart and will be killed by background when

the srvstopwait time comes.

Option 2: kill the process by overriding the end_max*sanity, and align with srvstopwait

Option 1 sounds more aligned with the configuration.

History

#1 - 02/20/2023 11:14 PM - Madars

- Description updated

#3 - 02/21/2023 11:21 PM - Madars

- Status changed from New to Resolved

- % Done changed from 0 to 100

Release notes

Fixed Enduro/X server process reload sequence so that if the process is not stopped in <srvstopwait> time, the shutdown is left to the background

and the background will reload the process accordingly.

Available from Enduro/X release 8.0.8+.

#4 - 02/21/2023 11:21 PM - Madars

- Status changed from Resolved to Closed
